summaryrefslogtreecommitdiffstats
path: root/mga-hdlists
diff options
context:
space:
mode:
Diffstat (limited to 'mga-hdlists')
-rwxr-xr-xmga-hdlists23
1 files changed, 23 insertions, 0 deletions
diff --git a/mga-hdlists b/mga-hdlists
new file mode 100755
index 0000000..f14407f
--- /dev/null
+++ b/mga-hdlists
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/mgatools/functions
+
+if [ "$1" = "--dry-run" ]; then
+ dryrun=echo
+ shift
+fi
+
+if [ $# != 3 ]; then
+ echo "Usage: $0 [--dry-run] <release> <section> <subsection>" >&2
+ exit 1
+fi
+
+release="$1"
+section="$2"
+subsection="$3"
+
+update_distro_hdlist "$release" "$section" "$subsection"
+update_common_MD5SUM "$release"
+mirror_repository "$release"